//------------------------------------------------------------------------------------------------------
// Name       : tsample.c
// Date       : 05.03.1997     Author : SM / OK    Language : E
//------------------------------------------------------------------------------------------------------
// This file contains all language-dependent text definitions of the module TSAMPLE_.DLL. Together with
// the file TSAMPLE.RC, it is used to build the language library TSAMPLE.DLL.
// The library file TSAMPLE.LIB which is created during the compilation of this language DLL must be
// linked to the module's main DLL in order to have access to the texts and resources defined here.
//------------------------------------------------------------------------------------------------------

#include        "windows.h"
#include        "windowsx.h"
#include        "stdlib.h"

#include        "e:\release4\tosoapi4.h"        // Toso Interface Definitions

//------ Language-dependent strings --------------------------------------------------------------------

DLL_EXPORT LPSTR
        eStartUpText    [] = {
          "Version 1.10e, %s\n\nCopyright 1997 TommySoftware\n\nDeveloper: Stefan Malz.",
          "Sample Plug-In",                                                      // 01
          "Sample Plug-In >",                                                    // 02
          END_TEXT
        },

        eDialogText     [] = {
          "TommySoftware Sample Plug-In",                                      // 00
          "Star (TSAMPLE)",                                                     // 01
          END_TEXT
        },

        eMessageText    [] = {
          "This plug-in requires at least\nToso Interface Version 4.2.",        // 00
          "Insufficient memory.\nPlease close other application to continue.",  // 01
          "Invalid value.",                                                     // 02
          "Invalid number. Enter values between 3 and 100.",                    // 03
          END_TEXT
        },

        eCommandName    [] = {
          "Sample Plug-In >Star (Polyline)...",                                 // 00
          "Sample Plug-In >Star (User Object)...",                              // 01
          NULL,                                                                 // 02
          "Sample Plug-In >About...",                                           // 03
          END_TEXT
        },

        eCommandEntry   [] = {
          "&1  Star (Polyline)...",                                             // 00
          "&2  Star (User Object)...",                                          // 01
          NULL,                                                                 // 02
          "&+  About...",                                                       // 03
          END_TEXT
        },

        eNewPoint       [] = {
          "Enter inner radius",                                                 // 00
          "Enter outer radius",                                                 // 01
          END_TEXT
        };

//------------------------------------------------------------------------------------------------------
// This DLL entry procedure must exist in any DLL to be used in Win32. Since our language DLL does not
// need any initialization, this procedure is quite empty.

BOOL WINAPI DllMain( HINSTANCE hInstance, DWORD Reason, LPVOID Dummy )
{
  switch( Reason ) {
    case DLL_PROCESS_ATTACH:
      break;

    case DLL_PROCESS_DETACH:
      break;
  }
  return( TRUE );
}
